## org.firebirdsql.gds.impl
Class AbstractGDS

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractGDS

All Implemented Interfaces:
  Externalizable, Serializable, GDS

Direct Known Subclasses:
  AbstractJavaGDSImpl, BaseGDSImpl

    public abstract class AbstractGDS

extends Object
implements GDS, Externalizable

Base class for GDS implementations. This base class allows the GDS implementation to be serialized and deserialized safeley.

See Also:
  Serialized Form

Constructor Summary
`AbstractGDS()`
`AbstractGDS(GDSType gdsType)`

Method Summary
`void` `close()` Close this instance.
`GDSType` `getGdsType()` Deprecated. use `getType()`instead.
`GDSType` `getType()` Get type of this instance.
`void` `readExternal(ObjectInput in)`
`Object` `readResolve()`
`void` `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.GDS

`createBlobParameterBuffer, createDatabaseParameterBuffer, createEventHandle, createIscBlobHandle, createIscDbHandle, createIscStmtHandle, createIscSvcHandle, createIscTrHandle, createServiceParameterBuffer, createServiceRequestBuffer, getSqlCounts, iscAttachDatabase, iscBlobInfo, iscCancelEvents, iscCloseBlob, iscCommitRetaining, iscCommitTransaction, iscCreateBlob2, iscCreateDatabase, iscDatabaseInfo, iscDetachDatabase, iscDropDatabase, iscDsqlAllocateStatement, iscDsqlDescribe, iscDsqlDescribeBind, iscDsqlExecImmed2, iscDsqlExecImmed2, iscDsqlExecImmed2, iscDsqlExecute, iscDsqlExecute2, iscDsqlExecuteImmediate, iscDsqlExecuteImmediate, iscDsqlExecuteImmediate, iscDsqlFetch, iscDsqlFreeStatement, iscDsqlPrepare, iscDsqlPrepare, iscDsqlPrepare, iscDsqlSetCursorName, iscDsqlSqlInfo, iscEventBlock, iscEventCounts, iscGetSegment, iscOpenBlob2, iscPrepareTransaction, iscPrepareTransaction2, iscPutSegment, iscQueueEvents, iscReconnectTransaction, iscRollbackRetaining, iscRollbackTransaction, iscSeekBlob, iscServiceAttach, iscServiceDetach, iscServiceQuery, iscServiceStart, iscStartTransaction, iscTransactionInformation, iscVaxInteger, newTransactionParameterBuffer`

Constructor Detail

### AbstractGDS

    public AbstractGDS()

### AbstractGDS

    public AbstractGDS(GDSType gdsType)

Method Detail

### getGdsType

    public GDSType getGdsType()

  Deprecated. use `getType()`instead.

  Get the type of this `GDS` implementation. The returned value will be equal to one of the static final fields of `GDSType`.

  Returns:
    The type of the current `GDS` implementation

### getType

    public GDSType getType()

  Get type of this instance.

  Returns:
    instance of `GDSType`.

### close

    public void close()

  Close this instance. This method can be used to perform final cleanup of the GDS instance when the wrapping component is closed/stopped.

  Specified by:
    `close` in interface `GDS`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### readResolve

    public Object readResolve()

Copyright © 2001-2010. All Rights Reserved.